
body{
    font-family: "Inter",sans-serif;
    margin: 0;
}

html{
    scroll-behavior: smooth;
}

*,
*::after,
*::before{
    box-sizing: border-box;
}
:root{
    --blue-color:blue;
    --blue-color-hover:rgb(62, 62, 255);
}

.container{
    max-width: 1024px;
    margin: 0 auto;
}

nav{
    box-shadow: 0 4px 40px -8px rgba(0, 0,  0, 0.3);
    position: fixed;
    left: 0;
    right: 0;
    z-index: 400;
    background-color: #ffff;
    padding: 16px 30px;
    transition: all 900ms ease;
}

nav.scrolled{
    padding: 8px 30px;
}

nav .container{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

nav .container a.logo{
    font-size: 24px;
}

nav .container a{
    text-decoration: none;
    font-weight: bold;
    color: #000;
    text-transform: uppercase;
}

h2{
    font-size: 40px;
    font-family: "Poppins",sans-serif;
    margin: 16px 0;
    text-align: center;
}
.sub-heading{
    max-width: 700px;
    margin: 0 auto;
    text-align: center;

}
p{
    line-height: 1.5;
}
h3{
    line-height: 1.6;
}
section{
    padding: 80px;
}
nav.container a:hover{
    color: #ed2243;
}

nav .menu-items{
    display: flex;
    gap: 36px;
    align-items: center;
}


.header-swiper .swiper{
    height: 100%;
    width: 100%;
}
.header-swiper .swiper-slide{
    height: 100vh;
}
.header-swiper .swiper-slide .content{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    height: 100%;
    width: 100%;
    color: #fff;
    position: relative;
}
.header-swiper .swiper-slide .content::before{
    position: absolute;
    content: "";
    inset: 0;
    background-color: rgba(0,0,0,0.5);
}
.header-swiper .swiper-slide img{
    position: absolute;
    top:0;
    left: 0;
    z-index: -1;
    height: 100%;
    width: 100%;
    object-fit: cover;
}
.header-swiper .swiper-slide .slide-title,
.header-swiper .swiper-slide p{
    opacity: 0;
    transform: translateY(40px);
    transition: opacity 1200ms ease-in-out,transform 900ms ease-in-out;
}

.header-swiper .swiper-slide.swiper-slide-active .slide-title,
.header-swiper .swiper-slide.swiper-slide-active p{
    opacity: 1;
    transform: translateY(0);
}

.header-swiper .swiper-slide .slide-title{
    font-size: 50px;
    font-weight: bold;
    z-index: 3;
    text-align: center;

}
.header-swiper .swiper-slide p{
    font-size: 20px;
    z-index: 3;
    transition-delay: 200ms;
    text-align: center;

}

.header-swiper .swiper-button-next,
.header-swiper .swiper-button-prev{
    background-color: var(--blue-color);
    padding: 8px;
    width: 50px;
    height: 50px;
    opacity: 0.2;
    border-radius: 10px;
    transition: all 300ms ease;
}
.header-swiper .swiper-button-next:hover,
.header-swiper .swiper-button-prev:hover{

    opacity: 1;
    
}
.header-swiper .swiper-button-next::after,
.header-swiper .swiper-button-prev::after{

    font-size: 20px;
    color: #000;
    
}


/*Service section*/

.service-container{
    display: grid;
    grid-template-columns: 1fr 1fr;
    margin-top: 50px;
    gap: 60px;
}
.service-container .icon img{
    height: 50px;
}
.service-container .service{
    display: flex;
    gap: 30px;
    align-items: center;
}

.service-container .icon{
    border: 1px solid #eee;
    width: 100px;
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
    border-radius: 8px;
    transition: all 300ms ease;
}
.service-container .icon:hover{
    background: var(--blue-color);
}

.service-container .service h3{
    margin: 4px 0;
}
.service-container .service h3:hover{
    color: var(--blue-color);
    cursor: pointer;
}
.service-container .service p{
    font-size: 13px;
    margin-top: 16px;
    margin-bottom: 0;
    opacity: 0.8;
}


/*footer*/

footer{
    background: #efefef;
    color: #000;
    padding-top: 30px;

}


footer .sections{
    display: flex;
    gap: 50px;
    justify-content: space-between;
}
footer .section{
    flex: 1;
}

footer h3{
    margin-top: 0;
}
footer ul{
    padding: 0;
    list-style: none;
}
footer ul li{
    margin:  12px 0;
}
footer ul li a{
    color: #000;
    text-decoration: none;
}

footer .socials {
    display: flex;
}
footer .socials img{
    height: 35px;
    transition:  all 300ms ease;
}
footer .socials img:hover{
    transform:  scale(1.1);
}

footer .copyright{
    background: #000;
    color: #fff;
    padding: 18px;
    margin-top: 30px;

}


/*Mobile View*/

.mobile-menu-items{
    position: fixed;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 500;
    height: 100vh;
    width: 100%;
    background: #333;
    flex-direction: column;
    gap: 30px;    
    opacity: 0;
    transform: translateX(100%);
    transition: all 300ms ease;
}
.mobile-menu-items.active{
    opacity: 1;
    transform: translateX(0);
 
}
.mobile-menu-items a{
    text-decoration: none;
    color: #fff;
    font-size: 18px;
}
.mobile-menu-items .close-icon{
    position: fixed;
    top: 10px;
    right: 20px;
    background: rgba(255,255,255,0.03);
    padding: 8px;
    border-radius: 15px;
    cursor: pointer;
    display: flex;
}
.mobile-menu-items .close-icon svg{
    width: 30px;
    color: #fff;


}
nav .menu-icon{
    display: none;
}


/*Honda Flash Tool page */


.container-tab {
    width: 110vmin;
    position: absolute;
    transform: translateX(-50%);
    left: 50%;
    top: 120px;
    background-color: #fff;
    box-shadow: 0 20px 40px rgba(0, 0, 0, 0.2);
    padding: 20px; /* Adding padding to ensure content doesn't touch the edges */
    box-sizing: border-box; /* Ensure padding is included in the width */
}

.container-tab h1 {
    text-align: center;
    font-size: 28px;
}

.container-tab h5 {
    text-align: center;
}

.box-img {
    border: 2px solid black; 
    padding: 10px; 
    background-color: #f9f9f9; 
    display: flex;
    flex-direction: column;
    justify-content: center; 
    align-items: center; 
    border-radius: 10px; 
    margin: 20px auto; 
}

.container-tab .box-img img {
    height: 150px;
    display: block;
}
.box-img-diag {
    border: 2px solid black;
    padding: 10px;
    background-color: #f9f9f9;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center; 
    border-radius: 10px; 
    margin: 20px auto;
}

.container-tab .box-img-diag img {
    height: 260px;
    display: block;
}
.box-img-diag2 {
    border: 2px solid black; 
    padding: 10px; 
    background-color: #f9f9f9; 
    display: flex; 
    flex-direction: column;
    justify-content: center; 
    align-items: center; 
    border-radius: 10px; 
    margin: 20px auto; 
}

.container-tab .box-img-diag2 img {
    height: 220px;
    display: block;
}

.tabs {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

h3 {
    font-size: 15px;
    background-color: #e4e9fd;
    text-align: center;
    padding: 15px 0;
    cursor: pointer;
    font-weight: 600;
}

.tabs-content {
    background-color: #fff;
    padding: 50px 40px;
    box-sizing: border-box; 
}

.tabs-content h4 {
    font-size: 20px;
    text-align: center;
    margin-bottom: 20px;
    color: #000224;
    font-weight: 600;
}

.tabs-content p {
    text-align: justify;
    line-height: 1.9;
    letter-spacing: 0.4px;
    color: #202238;
}

.tab-content {
    display: none;
}

.tab-content.active {
    display: block;
}

.tabs .active {
    background-color: #fff;
    color: #4d5bf9;
}


/*Smartphone*/
@media (max-width: 800px){
    nav .menu-items{
        display: none;
    }
    nav .menu-icon{
        display: block;
    }
    nav .menu-icon svg{
        width: 30px;
        display: flex;
    }

    .header-swiper .swiper-slide .slide-title{
        font-size: 30px;
    }
    .header-swiper .swiper-slide .content {
        padding-inline: 50px;
    }

    h2{
        font-size: 30px;
    }
    section{
        padding-inline: 30px;
    }

    .service-container{
        grid-template-columns: 1fr;
    }
    footer .sections{
        flex-direction: column;
        text-align: center;
        gap: 30px;
    }
    footer .socials{
        justify-content: center;
    }

    .container-tab .box-img img {
        height: 110px;
        display: block;
    }


    .container-tab .box-img-diag img {
        height: 200px;
        display: block;
    }


    .container-tab .box-img-diag2 img {
        height: 110px;
        display: block;
    }
}x;
        display: block;
    }


    .container-tab .box-img-diag img {
        height: 200px;
        display: block;
    }


    .container-tab .box-img-diag2 img {
        height: 110px;
        display: block;
    }
}